Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706394 - games-simulation/lincity-1.13.1-r1 : fails to build with -fno-common or gcc-10
Summary: games-simulation/lincity-1.13.1-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 08:29 UTC by Toralf Förster
Modified: 2020-02-26 09:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.38 KB, text/plain)
2020-01-26 08:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,22.73 KB, text/plain)
2020-01-26 08:29 UTC, Toralf Förster
Details
environment (environment,87.73 KB, text/plain)
2020-01-26 08:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.39 KB, application/x-bzip)
2020-01-26 08:29 UTC, Toralf Förster
Details
games-simulation:lincity-1.13.1-r1:20200126-052024.log (games-simulation:lincity-1.13.1-r1:20200126-052024.log,88.77 KB, text/plain)
2020-01-26 08:29 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.91 KB, application/x-bzip)
2020-01-26 08:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.90 KB, application/x-bzip)
2020-01-26 08:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 08:29:16 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.     -O2 -pipe -march=native -fno-common -std=gnu89  -Wall -c `test -f 'shrglobs.c' || echo './'`shrglobs.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.     -O2 -pipe -march=native -fno-common -std=gnu89  -Wall -c `test -f 'stats.c' || echo './'`stats.c
/bin/sh ./libtool --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -std=gnu89  -Wall  -Wl,-O1 -Wl,--as-needed -o xlincity  lclib.o power.o ldsvguts.o engine.o transport.o market.o simulate.o shrtypes.o lintypes.o readpng.o timer.o fileutil.o shrglobs.o stats.o liblcx.la modules/libmodules.la 
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -std=gnu89 -Wall -Wl,-O1 -Wl,--as-needed -o xlincity lclib.o power.o ldsvguts.o engine.o transport.o market.o simulate.o shrtypes.o lintypes.o readpng.o timer.o fileutil.o shrglobs.o stats.o  ./.libs/liblcx.a -lXext -lX11 -lpng -lz -lm modules/.libs/libmodules.a
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: engine.o:(.bss+0x0): multiple definition of `monthgraph_style'; ldsvguts.o:(.bss+0x1a4): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: simulate.o:(.bss+0x0): multiple definition of `monthgraph_style'; ldsvguts.o:(.bss+0x1a4): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *



Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python3.7 (fallback)
  [3]   python2.7 (fallback)





repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 03:46:10 +0000

emerge -qpvO games-simulation/lincity
[ebuild  N    ] games-simulation/lincity-1.13.1-r1  USE="nls"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 08:29:19 UTC
Created attachment 604470 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 08:29:21 UTC
Created attachment 604472 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 08:29:24 UTC
Created attachment 604474 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 08:29:27 UTC
Created attachment 604476 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 08:29:29 UTC
Created attachment 604478 [details]
games-simulation:lincity-1.13.1-r1:20200126-052024.log
Comment 6 Toralf Förster gentoo-dev 2020-01-26 08:29:32 UTC
Created attachment 604480 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-26 08:29:35 UTC
Created attachment 604482 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-26 09:22:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8edf247202490c028bce701f26b52e39f996c287

commit 8edf247202490c028bce701f26b52e39f996c287
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-26 09:21:56 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-26 09:22:10 +0000

    games-simulation/lincity: tweak for gcc-10, bug #706394
    
    Closes: https://bugs.gentoo.org/706394
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../lincity/files/lincity-1.13.1-gcc-10.patch      | 48 ++++++++++++++++++++++
 games-simulation/lincity/lincity-1.13.1-r1.ebuild  |  3 +-
 2 files changed, 50 insertions(+), 1 deletion(-)